Project Chrono: chrono::vehicle::ChSuspensionTestRigInteractiveDriverIRR Class Reference

Public Member Functions | List of all members
chrono::vehicle::ChSuspensionTestRigInteractiveDriverIRR Class Reference
VEHICLE module » Wheeled vehicles » Suspension test rig classes

## Description

Irrlicht-based GUI driver for the a suspension test rig.

This class implements the functionality required by its base ChSuspensionTestRigDriver class using keyboard inputs. As an Irrlicht event receiver, its OnEvent() callback is used to keep track and update the current inputs.

`#include <ChSuspensionTestRigInteractiveDriverIRR.h>`

Inheritance diagram for chrono::vehicle::ChSuspensionTestRigInteractiveDriverIRR:
[legend]
Collaboration diagram for chrono::vehicle::ChSuspensionTestRigInteractiveDriverIRR:
[legend]

## Public Member Functions
| ChSuspensionTestRigInteractiveDriverIRR (irrlicht::ChVisualSystemIrrlicht &vsys)
void | SetSteeringDelta (double delta)
| Set the time response for steering control.
void | SetDisplacementDelta (double delta)
| Set the time response for post displacement control.
Public Member Functions inherited from chrono::vehicle::ChSuspensionTestRigDriver
double | GetSteering () const
| Get the driver steering input (in the range [-1,+1]).
const std::vector< double > & | GetDisplacementLeft () const
| Get the left post vertical displacement inputs (each in the range [-1,+1]).
const std::vector< double > & | GetDisplacementRight () const
| Get the right post vertical displacement inputs (each in the range [-1,+1]).
const std::vector< double > & | GetDisplacementSpeedLeft () const
| Get the left post displacement rates of change.
const std::vector< double > & | GetDisplacementSpeedRight () const
| Get the right post displacement rates of change.
bool | Started () const
| Return false while driver inputs are ignored (while the rig is reaching the ride height configuration) and true otherwise.
virtual bool | Ended () const
| Return true when driver stopped producing inputs.
bool | LogInit (const std::string &filename)
| Initialize output file for recording driver inputs.
bool | Log (double time)
| Record the current driver inputs to the log file.

## Additional Inherited Members
Protected Member Functions inherited from chrono::vehicle::ChSuspensionTestRigDriver
virtual void | Initialize (int naxles)
| Initialize this driver system.
virtual void | Synchronize (double time)
| Update the state of this driver system at the current time.
void | SetDisplacementLeft (int axle, double val, double min_val=-1, double max_val=1)
| Set the value for the driver left post displacement input.
void | SetDisplacementRight (int axle, double val, double min_val=-1, double max_val=1)
| Set the value for the driver right post displacement input.
void | SetSteering (double val, double min_val=-1, double max_val=1)
| Set the value for the driver steering input.
Protected Attributes inherited from chrono::vehicle::ChSuspensionTestRigDriver
int | m_naxles
| number of actuated axles
std::vector< double > | m_displLeft
| current value of left post displacements
std::vector< double > | m_displRight
| current value of right post displacements
std::vector< double > | m_displSpeedLeft
| current value of left post displacement rates of change
std::vector< double > | m_displSpeedRight
| current value of right post displacement rates of change
double | m_steering
| current value of steering input
double | m_delay
| time delay before generating inputs

## Member Function Documentation

## ◆ SetDisplacementDelta()

void chrono::vehicle::ChSuspensionTestRigInteractiveDriverIRR::SetDisplacementDelta | ( | double | delta | ) |
| inline

Set the time response for post displacement control.

The provided value represents the time (in seconds) for increasing the displacement input from 0 to 1 (or decreasing it from 0 to -1).

## ◆ SetSteeringDelta()

void chrono::vehicle::ChSuspensionTestRigInteractiveDriverIRR::SetSteeringDelta | ( | double | delta | ) |
| inline

Set the time response for steering control.

The provided value represents the time (in seconds) for increasing the steering input from 0 to 1 (or decreasing it from 0 to -1).

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/wheeled_vehicle/test_rig/ChSuspensionTestRigInteractiveDriverIRR.h
- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/wheeled_vehicle/test_rig/ChSuspensionTestRigInteractiveDriverIRR.cpp